# Note: cytopia is a third-party provider of several docker images for CI tools,
#       All cytopia images are built nightly and use floating tags by major release.
#       The Alpine version is latest though, which might be a problem for other packages.

### yamllint-base ###
FROM gitlab.com:443/dreamer-labs/tsc/dependency_proxy/containers/cytopia/yamllint:alpine-1 as yamllint-base
RUN { mkdir /pipelines; \
    } || exit 1
WORKDIR /pipelines

### yamllint-final ###
FROM registry.gitlab.com/dreamer-labs/tsc/pipelines/yamllint-base:v1-mr44 as yamllint-final
COPY yamllint/1/  /pipelines/yamllint/1/
COPY libraries/4/ /pipelines/libraries/4/
ENTRYPOINT ["/usr/bin/env", "bash", "-c"]
